Does Playfire support my web browser?

Clay -

In order to have the best experience when using Playfire you should use a modern web browser such as the latest versions of Chrome, Firefox, or Internet Explorer.

Internet Explorer versions 7 and 8 are supported, but the site won't display as intended.

Internet Explorer 6 is no longer supported by Microsoft and as a result we are unable to support it.

Have more questions? Submit a request
Powered by Zendesk